### Method

# Gio ProxyAddress get_destination_hostname

since: 2.26

#### Declaration

    const gchar*
    g_proxy_address_get_destination_hostname (
      GProxyAddress* proxy
    )

#### Description

Gets `proxy`‘s destination hostname; that is, the name of the host that will be connected to via the proxy, not the name of the proxy itself.

Available since: 2.26

Gets property | `Gio.ProxyAddress:destination-hostname`

#### Return value

Type: `const gchar*`

The `proxy`‘s destination hostname.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.